/*
                                About Dialog
 */

#ifndef ABOUT_DLG_H
#define ABOUT_DLG_H

#include <gtk/gtk.h>
#include "me_types.h"


typedef struct _about_dialog_struct	about_dialog_struct;
#define ABOUT_DIALOG(p)			((about_dialog_struct *)(p))


/*
 *	About Dialog:
 */
struct _about_dialog_struct {

	GtkWidget	*toplevel;
	GtkAccelGroup	*accelgrp;
	gint		freeze_count,
			busy_count;
	me_core_struct	*core;
	GtkWidget	*ok_btn;

};


extern about_dialog_struct *AboutDialogNew(me_core_struct *core);
extern void AboutDialogMap(about_dialog_struct *ad);
extern void AboutDialogUnmap(about_dialog_struct *ad);
extern void AboutDialogDelete(about_dialog_struct *ad);


#endif	/* ABOUT_DLG_H */
