#ifndef EDITOR_DND_H
#define EDITOR_DND_H

#include <gtk/gtk.h>
#include "editor.h"


extern GList *EditorDNDParseCmd(
        const char *s,
        editor_struct **editor_rtn
);

extern void EditorDNDDataRequestCB(
        GtkWidget *widget, GdkDragContext *dc,
        GtkSelectionData *selection_data, guint info, guint t,
        gpointer data
);
extern void EditorDNDDataRecievedCB(
        GtkWidget *widget,
        GdkDragContext *dc,
        gint x, gint y,
        GtkSelectionData *selection_data,
        guint info, guint t,
        gpointer data
);
extern void EditorDNDDataDeleteCB(
        GtkWidget *widget, GdkDragContext *dc, gpointer data
);


#endif	/* EDITOR_DND_H */
