#ifndef EDITOR_FIND_REPLACE_H
#define EDITOR_FIND_REPLACE_H

#include <gtk/gtk.h>
#include "editor.h"


extern gboolean EditorFind(
        editor_struct *editor,
	GtkText *text,
	const gchar *haystack,
	const gchar *needle,
	const gint haystack_len,
	const gint start_pos,
	const gboolean case_sensitive,
	const gboolean move_to,
        gboolean *search_wrapped
);
extern gboolean EditorReplace(
        editor_struct *editor,
        GtkText *text,
        const gchar *haystack,
        const gchar *needle,
        const gchar *replacement,
        const gint haystack_len,
        const gint start_pos,
        const gboolean case_sensitive
);
extern gint EditorReplaceAll(
        editor_struct *editor,
        GtkText *text,
        const gchar *needle,
        const gchar *replacement,
        const gboolean case_sensitive
);


#endif	/* EDITOR_FIND_REPLACE_H */
