#ifndef EDITOR_FIO_H
#define EDITOR_FIO_H

#include <gtk/gtk.h>
#include "editor.h"   


extern gint EditorFileOpen(
	editor_struct *editor,
	const gchar *path,
	GtkCTreeNode *node,
	gboolean as_template
);
extern gint EditorFileSave(
	editor_struct *editor,
	GtkCTreeNode *node
);
extern gint EditorFileSaveAs(
	editor_struct *editor,
	const gchar *path,
	GtkCTreeNode *node
);


#endif	/* EDITOR_FIO_H */
