/*
                           ManEdit Operations
 */

#ifndef ME_OP_H
#define ME_OP_H

#include <gtk/gtk.h>

#include "about_dlg.h"
#include "me_types.h"


extern void MEUpdateRcStyles(me_core_struct *core);

extern GtkWidget *MEBuildHelpMenu(
	me_core_struct *core,
	GtkAccelGroup *accelgrp
);
extern gchar *MECreateTemporaryDirectory(me_core_struct *core);
extern gint MEExecuteCommandBlock(
	me_core_struct *core,
	const gchar *cmd,
	const gchar *filename,
	const gchar *options,
	const gchar *stdout_path,
	const gchar *stderr_path
);
extern gint MEDialogFromFile(
	me_core_struct *core,
	const gchar *title,
	const gchar *path,
	GtkWidget *toplevel
);
extern gint MEEmergencySave(me_core_struct *core);
extern gint MECrashRecovery(me_core_struct *core);


#endif	/* ME_OP_H */
